> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocartapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cart Totals

> Retrieves the cart totals including subtotal, taxes, shipping, and discounts.



## OpenAPI

````yaml api-reference/v1/openapi-cart-v1.yaml get /totals
openapi: 3.0.3
info:
  title: CoCart - Cart API v1
  version: 4.6.0
  description: API for managing shopping carts
  termsOfService: http://cocartapi.com/terms-of-conditions-polar/
  contact:
    email: support@cocartapi.com
  license:
    name: GNU General Public License v3.0
    url: http://www.gnu.org/licenses/gpl-3.0.html
servers:
  - url: '{protocol}://{host}/wp-json/cocart/v1'
    description: API v1
    variables:
      protocol:
        enum:
          - http
          - https
        default: https
      host:
        default: example-store.com
        description: Your store domain
security: []
tags:
  - name: cart
    description: Operations for managing the shopping cart
  - name: items
    description: Operations for managing cart items
  - name: coupons
    description: Operations for managing cart coupons
  - name: fees
    description: Operations for managing cart fees
  - name: shipping
    description: Operations for managing shipping methods and rates
  - name: calculate
    description: Operations for calculating cart totals
  - name: products
    description: Operations for managing products
externalDocs:
  description: Find out more about CoCart API
  url: https://docs.cocartapi.com
paths:
  /totals:
    get:
      tags:
        - calculate
      summary: Get cart totals
      description: >-
        Retrieves the cart totals including subtotal, taxes, shipping, and
        discounts.
      parameters:
        - name: html
          in: query
          description: Returns the totals pre-formatted.
          schema:
            type: boolean
            default: false
          required: false
      responses:
        '200':
          description: Cart totals retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TotalsResponse'
        '400':
          description: Bad request - invalid parameters.
components:
  schemas:
    TotalsResponse:
      type: object
      properties:
        subtotal:
          description: >-
            Subtotal of all items in the cart. Returns formatted price if
            html=true.
          type: string
        subtotal_tax:
          description: Subtotal tax amount. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string
        shipping_total:
          description: Shipping total cost. Returns formatted price if html=true.
          type: string
        shipping_tax:
          description: Shipping tax amount. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string
        shipping_taxes:
          description: Array of shipping tax rates.
          type: array
          items:
            type: number
        discount_total:
          description: Total discount amount. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string
        discount_tax:
          description: Discount tax amount. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string
        cart_contents_total:
          description: Cart contents total. Returns formatted price if html=true.
          type: string
        cart_contents_tax:
          description: Cart contents tax. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string
        cart_contents_taxes:
          description: Array of cart content tax rates.
          type: array
          items:
            type: number
        fee_total:
          description: Fee total amount. Returns formatted price if html=true.
          type: string
        fee_tax:
          description: Fee tax amount. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string
        fee_taxes:
          description: Array of fee tax rates.
          type: array
          items:
            type: number
        total:
          description: >-
            Total amount of the cart including tax. Returns formatted price if
            html=true.
          type: string
        total_tax:
          description: Total tax amount. Returns formatted price if html=true.
          oneOf:
            - type: number
            - type: string

````